Subject: Re: [PATCH/RFC] gitk: refresh index before checking for local changes

From: Jonathan Nieder <[email-masked]>
Date: Tue, 6 Apr 2010 21:57:06 -0500

A Large Angry SCM wrote:

[context: should gitk run ‘gitk update-index --refresh -q’ transparently?]

> NAK - gitk should not modify a repository and/or working dir unless
> _explicitly_ prompted to by the user.
>
> If you want a new _non-default_ option setting for gitk, that fine also.

I have some sympathy for this point of view.

Does the same principle apply to ‘git diff’?  If not, why not?

It should be possible to suppress files with no changes from the
display without refreshing the index (or not to suppress them and to
still refresh the index, nor that matter; the issues are orthogonal),
but it would be nice to come up with a clear rationale first.

Jonathan